<app-loading *ngIf='isLoading'></app-loading>
<form nz-form [formGroup]='form'>
  <div nz-row [nzGutter]='[20,20]' class='info-user'>
    <div nz-col nzSm='24' nzLg='12'>
      <mb-text-label mbLabelText="{{'partnership.pns-contract.table.employeeCode' | translate}}"
                     mbLabelValue=' {{ data?.employeeCode }}'></mb-text-label>
    </div>
    <div nz-col nzSm='24' nzLg='12'>
      <mb-text-label mbLabelText="{{'partnership.pns-contract.table.employeeName' | translate}}"
                     mbLabelValue=' {{ data?.fullName }}'></mb-text-label>
    </div>
    <div nz-col nzSm='24' nzLg='12'>
      <mb-text-label mbLabelText="{{'partnership.pns-contract.table.posName' | translate}}"
                     mbLabelValue=' {{ data?.positionName }}'></mb-text-label>
    </div>
    <div nz-col nzSm='24' nzLg='12'>
      <mb-text-label mbLabelText="{{'partnership.pns-contract.table.orgName' | translate}}"
                     mbLabelValue=' {{ data?.orgName }}'></mb-text-label>
    </div>
    <div nz-col nzSm='24' nzLg='12' *ngFor='let config of configs'>
      <container-element *ngIf="isInit" [ngSwitch]="config.dataType">
        <mb-input-text *ngSwitchCase='"string"'
                       [formControlName]='config.code'
                       [mbInputType]='"text"'
                       [mbType]="isSubmitted && form.controls[config.code].errors ? 'error' : 'default'"
                       [mbShowError]='isSubmitted && form.controls[config.code].errors != null'
                       [mbErrors]='form.controls[config.code].errors'
                       [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'partnership.pns-contract.validate.maxLength' | translate: {'numberLength': config.maxLength.toString() }}]"
                       [mbMaxLength]='config.maxLength'
                       mbPlaceholderText='{{config.name}}'
                       mbLabelText='{{config.name}}'
        ></mb-input-text>
        <mb-date-picker *ngSwitchCase='"date"'
                        [mbType]="isSubmitted && form.controls[config.code].errors ? 'error' : 'default'"
                        [mbShowError]='isSubmitted && form.controls[config.code].errors != null'
                        [mbErrors]='form.controls[config.code].errors'
                        [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required'
        | translate: {'param': config.name }}]"
                        mbPlaceholderText="{{config.name}}"
                        mbLabelText="{{config.name}}"
                        [formControlName]="config.code"></mb-date-picker>
        <mb-input-text *ngSwitchDefault
                       [formControlName]='config.code'
                       [mbInputType]='"number"'
                       [isFormatterCurrency]='config.dataType === "int"'
                       [mbType]="isSubmitted && form.controls[config.code].errors ? 'error' : 'default'"
                       [mbShowError]='isSubmitted && form.controls[config.code].errors != null'
                       [mbErrors]='form.controls[config.code].errors'
                       [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'partnership.pns-contract.validate.maxLength' | translate: {'numberLength': config.maxLength.toString() }},
          { errorName: 'onlyNumber', errorDescription: 'partnership.pns-contract.validate.onlyNumber' | translate }]"
                       mbPlaceholderText='{{config.name}}'
                       mbLabelText='{{config.name}}'
                       appNumberic
                       [num]="config.maxLength"
        ></mb-input-text>
      </container-element>
    </div>
    <div nz-col nzSm='24' nzLg='24'>
      <mb-upload-file
        (fileListChange)='onFileListChange($event)'
        [fileList]="form.get('listFileDocument').value"
        mbTypeUpload='drag'
        [mbTypeFileAvailable]="['jpg', 'png', 'pdf', 'doc', 'docx', 'xls', 'xlsx', 'tif', 'gif']"
        [mbMultiple]='true'
        (docIdsDeleteChange)='removeFile($event)'
        mbServiceName='CONTRACT'
        mbLabelText="{{'partnership.pns-contract.label.attachFile' | translate}}"
      ></mb-upload-file>
    </div>

  </div>
  <!--Button-->
  <div nz-row [nzGutter]='[30,0]' class='btnGroup'>
    <div nz-col [nzXs]='24' [nzLg]='24' [ngStyle]="{'text-align': 'right'}">
      <button
        nz-button
        nzType='default'
        (click)='closeModalAdd()'
      >{{'partnership.pns-contract.label.cancel' | translate}}</button>

      <mb-button
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='PRIMARY'
        (click)='saveData()'
        mbButtonText="{{'partnership.pns-contract.label.save' | translate}}"
      ></mb-button>

    </div>
  </div>
  <!--End: Button-->
</form>




